---
title: Number.NEGATIVE_INFINITY
slug: Web/JavaScript/Reference/Global_Objects/Number/NEGATIVE_INFINITY
tags:
  - JavaScript
  - Number
  - Property
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Number.NEGATIVE_INFINITY</code></strong> property represents the negative Infinity value.</p>

<div>{{EmbedInteractiveExample("pages/js/number-negative-infinity.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div>{{js_property_attributes(0, 0, 0)}}</div>

<h2 id="Description">Description</h2>

<p>The value of <code>Number.NEGATIVE_INFINITY</code> is the same as the negative value of the global object's {{jsxref("Infinity")}} property.</p>

<p>This value behaves slightly differently than mathematical infinity:</p>

<ul>
 <li>Any positive value, including {{jsxref("Number.POSITIVE_INFINITY", "POSITIVE_INFINITY")}}, multiplied by <code>NEGATIVE_INFINITY</code> is <code>NEGATIVE_INFINITY</code>.</li>
 <li>Any negative value, including <code>NEGATIVE_INFINITY</code>, multiplied by <code>NEGATIVE_INFINITY</code> is {{jsxref("Number.POSITIVE_INFINITY", "POSITIVE_INFINITY")}}.</li>
 <li>Any positive value divided by <code>NEGATIVE_INFINITY</code> is negative<strong> </strong>zero.</li>
 <li>Any negative value divided by <code>NEGATIVE_INFINITY</code> is positive zero.</li>
 <li>Zero multiplied by <code>NEGATIVE_INFINITY</code> is {{jsxref("NaN")}}.</li>
 <li>{{jsxref("NaN")}} multiplied by <code>NEGATIVE_INFINITY</code> is {{jsxref("NaN")}}.</li>
 <li><code>NEGATIVE_INFINITY</code>, divided by any negative value except <code>NEGATIVE_INFINITY</code>, is {{jsxref("Number.POSITIVE_INFINITY", "POSITIVE_INFINITY")}}.</li>
 <li><code>NEGATIVE_INFINITY</code>, divided by any positive value except {{jsxref("Number.POSITIVE_INFINITY", "POSITIVE_INFINITY")}}, is <code>NEGATIVE_INFINITY</code>.</li>
 <li><code>NEGATIVE_INFINITY</code>, divided by either <code>NEGATIVE_INFINITY</code> or {{jsxref("Number.POSITIVE_INFINITY", "POSITIVE_INFINITY")}}, is {{jsxref("NaN")}}.</li>
</ul>

<p>You might use the <code>Number.NEGATIVE_INFINITY</code> property to indicate an error condition that returns a finite number in case of success. Note, however, that {{jsxref("isFinite")}} would be more appropriate in such a case.</p>

<p>Because <code>NEGATIVE_INFINITY</code> is a static property of {{jsxref("Number")}}, you always use it as <code>Number.NEGATIVE_INFINITY</code>, rather than as a property of a {{jsxref("Number")}} object you created.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_NEGATIVE_INFINITY">Using NEGATIVE_INFINITY</h3>

<p>In the following example, the variable <code>smallNumber</code> is assigned a value that is smaller than the minimum value. When the {{jsxref("Statements/if...else", "if")}} statement executes, <code>smallNumber</code> has the value <code>-Infinity</code>, so <code>smallNumber</code> is set to a more manageable value before continuing.</p>

<pre class="brush: js notranslate">var smallNumber = (-Number.MAX_VALUE) * 2;

if (smallNumber === Number.NEGATIVE_INFINITY) {
  smallNumber = returnFinite();
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-number.negative_infinity', 'Number.NEGATIVE_INFINITY')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Number.NEGATIVE_INFINITY")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Number.POSITIVE_INFINITY")}}</li>
 <li>{{jsxref("Number.isFinite()")}}</li>
 <li>{{jsxref("Global_Objects/Infinity", "Infinity")}}</li>
 <li>{{jsxref("Global_Objects/isFinite", "isFinite()")}}</li>
</ul>
